Subject: [xmpp] I-D Action: draft-ietf-xmpp-websocket-04.txt

From: [email-masked]
Date: Sun, 20 Apr 2014 16:45:08 -0700

A New Internet-Draft is available from the on-line Internet-Drafts directories.
 This draft is a work item of the Extensible Messaging and Presence Protocol Working Group of the IETF.

        Title           : An XMPP Sub-protocol for WebSocket
        Authors         : Lance Stout
                          Jack Moffitt
                          Eric Cestari
	Filename        : draft-ietf-xmpp-websocket-04.txt
	Pages           : 14
	Date            : 2014-04-20

Abstract:
   This document defines a binding for the XMPP protocol over a
   WebSocket transport layer.  A WebSocket binding for XMPP provides
   higher performance than the current HTTP binding for XMPP.

The IETF datatracker status page for this draft is:
https://datatracker.ietf.org/doc/draft-ietf-xmpp-websocket/

There's also a htmlized version available at:
http://tools.ietf.org/html/draft-ietf-xmpp-websocket-04

A diff from the previous version is available at:
http://www.ietf.org/rfcdiff?url2=draft-ietf-xmpp-websocket-04

Please note that it may take a couple of minutes from the time of submission
until the htmlized version and diff are available at tools.ietf.org.

Internet-Drafts are also available by anonymous FTP at:
ftp://ftp.ietf.org/internet-drafts/

---

From: Lance Stout <[email-masked]>
Date: Sun, 20 Apr 2014 16:52:57 -0700

FYI

This version clarifies the stream initiation exchange by giving an example and explicitly stating 
that the attributes of the <open /> element match what is prescribed by Section 4.7 of RFC 6120.

Begin forwarded message:

> From: [email-masked]
> Subject: [xmpp] I-D Action: draft-ietf-xmpp-websocket-04.txt
> Date: April 20, 2014 at 4:45:08 PM PDT
> To: [email-masked]
> Cc: [email-masked]
> 
> 
> _______________________________________________
> xmpp mailing list
> [email-masked]
> https://www.ietf.org/mailman/listinfo/xmpp

---

From: Florian Zeitz <[email-masked]>
Date: Mon, 21 Apr 2014 02:10:25 +0200

> that the attributes of the <open /> element match what is prescribed by Section 4.7 of RFC 6120.
Having read the -02 to -03, and -03 to -04 diffs, I am quite content
with the current version. I feel all feedback has been adequately addressed.

One last remark I have is that I dislike (the formatting of) the example
in Section 3.3.3:

"
 -- WS Message boundary --	
 <stream:features xmlns:stream="http://etherx.jabber.org/streams">	
   <bind xmlns="urn:ietf:params:xml:ns:xmpp-bind"/>	
 </stream:features>	
 -- WS Message boundary --	
 <error xmlns="http://etherx.jabber.org/streams">	
   <host-unknown xmlns='urn:ietf:params:xml:ns:xmpp-streams'/>	
 </error>	
 -- WS Message boundary --	
 <message xmlns="jabber:client" xml:lang="en">	
   <body>Every WebSocket message is parsable by itself.</body>	
 </message>
"

It makes it look like this is a valid protocol flow, which it clearly is
not.
When first reading it, I was stuck pondering why a <message/> would be
transmitted after a stream error (and a host-unknown stream error after
features), until I realised this were really 3 separate examples.

Other than that, thank you for your great work Lance.

Best regards,
Florian Zeitz

---

From: Lance Stout <[email-masked]>
Date: Sun, 20 Apr 2014 17:33:40 -0700

> One last remark I have is that I dislike (the formatting of) the example

I just published -05 which splits that into multiple examples, making that section read much better.

Thanks!

— Lance